SRC/icmax1.f(3)

NAME
SRC/icmax1.f

SYNOPSIS

  Functions/Subroutines
integer function icmax1 (n, cx, incx)
ICMAX1 finds the index of the first vector element of maximum absolute value.

Function/Subroutine Documentation

  integer function icmax1 (integer n, complex, dimension(*) cx, integer incx)

ICMAX1 finds the index of the first vector element of maximum absolute value.

Purpose:

     ICMAX1 finds the index of the first vector element of maximum absolute value.
     Based on ICAMAX from Level 1 BLAS.
     The change is to use the 'genuine' absolute value.

Parameters
    N

              N is INTEGER
              The number of elements in the vector CX.

    CX

              CX is COMPLEX array, dimension (N)
              The vector CX. The ICMAX1 function returns the index of its first
              element of maximum absolute value.

    INCX

              INCX is INTEGER
              The spacing between successive values of CX.  INCX >= 1.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Nick Higham for use with CLACON.

Definition at line 80 of file icmax1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.